Skip to main content
`Ctrl`+`K`

# BVSVDMethod

Different methods for computing the SVD of a `BV`.

## Synopsis

    typedef enum { BV_SVD_METHOD_REFINE,
                   BV_SVD_METHOD_QR,
                   BV_SVD_METHOD_QR_CAA } BVSVDMethod;

## Values

- `BV_SVD_METHOD_REFINE` - based on the SVD of the cross product matrix \(S^*S\), with refinement

- `BV_SVD_METHOD_QR` - based on the SVD of the triangular factor of qr(S)

- `BV_SVD_METHOD_QR_CAA` - variant of QR intended for use in communication-avoiding Arnoldi

## See Also

BV: Basis Vectors, `BVSVDAndRank()`

## Level

developer

## Location

include/slepcbv.h

Index of all BV routines Table of Contents for all manual pages Index of all manual pages